diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/depca.c linux-2.5/drivers/net/depca.c
--- bk-linus/drivers/net/depca.c	2002-11-21 02:16:08.000000000 +0000
+++ linux-2.5/drivers/net/depca.c	2002-11-21 17:59:17.000000000 +0000
@@ -337,16 +337,6 @@ static enum {
 #define MAX_NUM_DEPCAS 2
 
 /*
-** Memory Alignment. Each descriptor is 4 longwords long. To force a
-** particular alignment on the TX descriptor, adjust DESC_SKIP_LEN and
-** DESC_ALIGN. DEPCA_ALIGN aligns the start address of the private memory area
-** and hence the RX descriptor ring's first entry. 
-*/
-#define DEPCA_ALIGN4      ((u_long)4 - 1)	/* 1 longword align */
-#define DEPCA_ALIGN8      ((u_long)8 - 1)	/* 2 longword (quadword) align */
-#define DEPCA_ALIGN         DEPCA_ALIGN8	/* Keep the LANCE happy... */
-
-/*
 ** The DEPCA Rx and Tx ring descriptors. 
 */
 struct depca_rx_desc {
@@ -632,7 +622,7 @@ static int __init depca_hw_init(struct n
 	offset += sizeof(struct depca_init);
 
 	/* Tx & Rx descriptors (aligned to a quadword boundary) */
-	offset = (offset + DEPCA_ALIGN) & ~DEPCA_ALIGN;
+	offset = ALIGN(offset, 8);
 	lp->rx_ring = (struct depca_rx_desc *) (lp->sh_mem + offset);
 	lp->rx_ring_offset = offset;
 
